

/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/


#include "track_node.h"

#include "null_parent.h"

#include "track_manager.h"

using namespace std;

/**
   \brief standard constructor

   \todo this constructor is not jet implemented - do it
*/
TrackNode::TrackNode () 
{
  this->setClassID(CL_TRACK_NODE, "TrackNode");
  this->setName("TrackNode"); /* absolete but still used... */

  NullParent::getInstance()->addChild(this);
  this->trackManager = TrackManager::getInstance();
  this->setMode(PNODE_ALL);
}


TrackNode::TrackNode (const Vector& absCoordinate)
{
  this->trackManager = TrackManager::getInstance();
  this->setMode(PNODE_ALL);
  this->setAbsCoor(absCoordinate);
}


/**
   \brief standard deconstructor

   \todo this deconstructor is not jet implemented - do it
*/
TrackNode::~TrackNode () 
{

}
